/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of ADC_Data_Read demo for the
 *          TOSHIBA 'TMPM370' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

#include "main.h"

WorkState adcState = BUSY;

int main(void)
{
    SIO_Configuration(UART0);
    SIO_ChInit();

    /* enable SIO0 trx int */
    NVIC_EnableIRQ(INTTX0_IRQn);

    /* Configure ADC */
    ADC_Init();
    /* start ADC */
    ADC_Start(TSB_ADA, ADC_TRG_SW);

    while (1U) {
        /* check ADC module state */
        adcState = ADC_GetConvertState(TSB_ADA, ADC_TRG_SW);

        if (adcState == DONE) {
            /* read ADC result when it is finished */
            ADC_Display();

            ADC_Start(TSB_ADA, ADC_TRG_SW);
        }
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
