/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of GPIO demo for the
 *          TOSHIBA 'TMPM370' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* include file */
#include "tmpm370_gpio.h"

#include "led.h"

/** local definitions **/
#define DELAY   0X2FFFFFU
uint32_t state;
/** default settings **/

/** external functions **/

/** external data **/

/** internal functions **/

/** public data **/


/** sub functions **/
void Demo_Led(void);

/* main function */
/**
  * @brief  main  function
  * @param  None
  * @retval None
  */

int main(void)
{
    uint32_t i = 0U;
    Init_Led();
    state = 0U;

    while (1) {

        for (i = 0U; i < DELAY; ++i) {
            if (i == 1U) {
                Demo_Led();
            } else {
                /* Do nothing */
            }
        }

    }
}


/**
  * @brief  LED on one by one while others are off
  * @param  None
  * @retval None
  */

void Demo_Led()
{

    switch (state) {
    case 0:
        state = 1;
        Led_On(LED1);
        break;

    case 1:
        state = 2;
        Led_On(LED2);
        break;

    case 2:
        state = 0;
        Led_On(LED3);
        break;

    default:
        break;
    }

}

/**
  * @brief  Deal with the error parameter
  * @param  file: Pointer to the file where the error parameter locates
  * @param  line: Number of the line in which the error parameter locates
  * @retval None
  */
#ifdef DEBUG

void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}

#endif
