/**
 *******************************************************************************
 * @file    main.c
 * @brief   the application functions of OFD demo for the
 *          TOSHIBA 'TMPM370' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */


#include "main.h"
#define DEMO2
int main(void)
{
    CG_ResetFlag resetFlag = { 0U };

    Init_Led();
    resetFlag = CG_GetResetFlag();
    if (resetFlag.Bit.OFDReset == 0U) {
        /* OFD initial */
        OFD_SetRegWriteMode(ENABLE);
#ifdef DEMO2
        OFD_SetDetectionFrequency(OFD_PLL_ON, OFD_HIGHER_COUNT_ABNORMAL, OFD_LOWER_COUNT_ABNORMAL);
#else
        OFD_SetDetectionFrequency(OFD_PLL_ON, OFD_HIGHER_COUNT, OFD_LOWER_COUNT);
#endif

        OFD_Enable();
    } else {
        OFD_Disable();
        Led_On(LED2);
    }
    while (1) {
    }
}

#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
