/**
 ******************************************************************************
 * @file     led.h
 * @brief    LED driver for the TOSHIBA 'TMPM370' Device Series
 * @version  V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */
#ifndef __LED_H
#define __LED_H
/** include files **/
#include "TMPM370.h"
#include "tmpm370_gpio.h"

/** definitions **/
#define LED_DATA_PORT   GPIO_PC
#define LED1            0X01U   /* PC0 */
#define LED2            0X04U   /* PC2 */
#define LED3            0X10U   /* PC4 */
#define LED_ALL_OFF     ~(LED1|LED2|LED3)


extern void Init_Led(void);
extern void Led_On(uint8_t led);
extern void Led_Off(uint8_t led);

#endif
