/**
 ******************************************************************************
 * @file     sw.c
 * @brief    Key driver for the TOSHIBA 'TMPM370' Device Series
 * @version  V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */
/* Includes ------------------------------------------------------------------*/
#include "sw.h"

/*******************************************************************************
* Function Name  : SW_Init
* Description    : Initialize the GPIO to SW 
* Input          : None.
* Return         : None.
*******************************************************************************/
void SW_Init(void)
{
    GPIO_SetInput(GPIO_PA, GPIO_BIT_0 | GPIO_BIT_1 | GPIO_BIT_2);
}

/*******************************************************************************
* Function Name  : SW_Get
* Description    : Get SW Value
* Input          : SW (choose from SW1 ~ SW3).
* Return         : SW value.
*******************************************************************************/
uint8_t SW_Get(uint8_t sw)
{
    uint8_t tmp = 0U;

    switch (sw) {
    case SW1:
        if (GPIO_ReadDataBit(GPIO_PA, GPIO_BIT_0) == 0U) {
            tmp = 1U;
        } else {
            /*do nothing */
        }
        break;        
    case SW2: 
        if (GPIO_ReadDataBit(GPIO_PA, GPIO_BIT_1) == 0U) {
            tmp = 1U;
        } else {
            /*do nothing */
        }
        break;        
    case SW3:
        if (GPIO_ReadDataBit(GPIO_PA, GPIO_BIT_2) == 0U) {
            tmp = 1U;
        } else {
            /*do nothing */
        }
        break;
    default:
        break;
    }
    return tmp;

}
