/**
 *******************************************************************************
 * @file    tmpm370_wdt_int.c
 * @brief   All interrupt request functions definition of WDT
 *          for the TOSHIBA 'TMPM370' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "tmpm370_wdt_int.h"
uint8_t fIntNMI = 0U;

/**
  * @brief  The NMI interrupt request function.
  * @param  None
  * @retval None
  */
void NMI_Handler(void)
{
    volatile CG_NMIFactor RegVal = { 0U };
    RegVal = CG_GetNMIFlag();

    if (RegVal.Bit.WDT) {
        fIntNMI = 1U;
    } else {
        /* Do nothing */
    }
}
